#include "StdAfx.h"
#include "NtalkModel.h"
#include "common.h"

CNtalkModel::CNtalkModel(void)
{
	m_pszSrvAddress = NULL;
	m_nOSType = 1;
	m_bRoomCreator = FALSE;
}

CNtalkModel::~CNtalkModel(void)
{
	SAFE_DELETE_ARR(m_pszSrvAddress);
}

void CNtalkModel::SetServerInfo(LPCTSTR strSrvAddress, int nPort, ULONG nRoomID)
{
	m_strSrvAddress = strSrvAddress;
	m_nPort = nPort;
	m_nRoomID = nRoomID;

	ConvertAddress();
}

void CNtalkModel::SetUserInfo(LPCTSTR strUserID, LPCTSTR strUserName, LPCTSTR strNickName)
{
	m_strUserID = strUserID;
	m_strUserName = strUserName;
	m_strNickName = strNickName;
}


void CNtalkModel::ConvertAddress()
{
	USHORT	nLen = ::WideCharToMultiByte(CP_UTF8,
										0,
										m_strSrvAddress.GetString(),
										-1,
										NULL,
										0,
										NULL,
										NULL);

	m_pszSrvAddress = new char[nLen + 1];
	if (NULL != m_pszSrvAddress)
	{
		memset(m_pszSrvAddress, 0, nLen + 1);
		::WideCharToMultiByte(CP_UTF8, 0, m_strSrvAddress.GetString(), -1, m_pszSrvAddress, nLen, NULL, NULL);
	}
}

LPCTSTR CNtalkModel::GetNickName()
{	
	m_strUserNameAndNickName.Format(_T("%s|%s"), m_strUserName, m_strNickName);
	return m_strUserNameAndNickName.GetString();
}